<?php



/*************************



  Coppermine Photo Gallery



  ************************



  Copyright (c) 2003-2005 Coppermine Dev Team



  v1.1 originally written by Gregory DEMAR







  This program is free software; you can redistribute it and/or modify



  it under the terms of the GNU General Public License as published by



  the Free Software Foundation; either version 2 of the License, or



  (at your option) any later version.



  ********************************************



  Coppermine version: 1.4.3



  $Source:



  $Revision:



  $Author:



  $Date:



**********************************************/







define('THEME_HAS_NAVBAR_GRAPHICS', 1);







// HTML template for template sys_menu spacer



$template_sys_menu_spacer ='<img src="themes/water_drop/images/orange_carret.gif" width="8" height="8" border="0" alt="" />';







// Creates buttons from a template using an array of tokens



// this function is used in this file it needs to be declared before being called.



function assemble_template_buttons($template_buttons,$buttons) {



    $counter=0;



    $output='';







    foreach ($buttons as $button)  {



      if (isset($button[4])) {



         $spacer=$button[4];



      } else {



      $spacer='';



      }







        $params = array(



            '{SPACER}'     => $spacer,



            '{BLOCK_ID}'   => $button[3],



            '{HREF_TGT}'   => $button[2],



            '{HREF_TITLE}' => $button[1],



            '{HREF_LNK}'   => $button[0]



            );



        $output.=template_eval($template_buttons, $params);



    }



    return $output;



}











// Creates an array of tokens to be used with function assemble_template_buttons



// this function is used in this file it needs to be declared before being called.



function addbutton(&$menu,$href_lnk,$href_title,$href_tgt,$block_id,$spacer) {



  $menu[]=array($href_lnk,$href_title,$href_tgt,$block_id,$spacer);



}











// HTML template for sys_menu



$template_sys_menu = <<<EOT



          {BUTTONS}



EOT;







// HTML template for sub_menu



$template_sub_menu = $template_sys_menu;







if (!defined('THEME_HAS_NO_SYS_MENU_BUTTONS')) {







  // HTML template for template sys_menu spacer



  $template_sys_menu_spacer ="&nbsp;&nbsp;&nbsp;-&nbsp;&nbsp;&nbsp;";







  // HTML template for template sys_menu buttons



  $template_sys_menu_button = <<<EOT



  <!-- BEGIN {BLOCK_ID} -->



        <a class="sysmenu" href="{HREF_TGT}" title="{HREF_TITLE}">{HREF_LNK}</a> {SPACER}



  <!-- END {BLOCK_ID} -->



EOT;







  // HTML template for template sys_menu buttons



    // {HREF_LNK}{HREF_TITLE}{HREF_TGT}{BLOCK_ID}{SPACER}



    addbutton($sys_menu_buttons,'{HOME_LNK}','{HOME_TITLE}','{HOME_TGT}','home_lnk',$template_sys_menu_spacer);



    addbutton($sys_menu_buttons,'{MY_GAL_LNK}','{MY_GAL_TITLE}','{MY_GAL_TGT}','my_gallery',$template_sys_menu_spacer);



    addbutton($sys_menu_buttons,'{MEMBERLIST_LNK}','{MEMBERLIST_TITLE}','{MEMBERLIST_TGT}','allow_memberlist',$template_sys_menu_spacer);



    addbutton($sys_menu_buttons,'{MY_PROF_LNK}','{MY_PROF_TITLE}','{MY_PROF_TGT}','my_profile',$template_sys_menu_spacer);



    addbutton($sys_menu_buttons,'{ADM_MODE_LNK}','{ADM_MODE_TITLE}','{ADM_MODE_TGT}','enter_admin_mode',$template_sys_menu_spacer);



    addbutton($sys_menu_buttons,'{USR_MODE_LNK}','{USR_MODE_TITLE}','{USR_MODE_TGT}','leave_admin_mode',$template_sys_menu_spacer);



    addbutton($sys_menu_buttons,'{UPL_PIC_LNK}','{UPL_PIC_TITLE}','{UPL_PIC_TGT}','upload_pic',$template_sys_menu_spacer);



    addbutton($sys_menu_buttons,'{REGISTER_LNK}','{REGISTER_TITLE}','{REGISTER_TGT}','register',$template_sys_menu_spacer);



    addbutton($sys_menu_buttons,'{FAQ_LNK}','{FAQ_TITLE}','{FAQ_TGT}','faq',$template_sys_menu_spacer);



    addbutton($sys_menu_buttons,'{LOGIN_LNK}','{LOGIN_TITLE}','{LOGIN_TGT}','login','');



    addbutton($sys_menu_buttons,'{LOGOUT_LNK}','{LOGOUT_TITLE}','{LOGOUT_TGT}','logout','');



    // Login and Logout don't have a spacer as only one is shown, and either would be the last option.







  $params = array('{BUTTONS}' => assemble_template_buttons($template_sys_menu_button,$sys_menu_buttons));



  $template_sys_menu = template_eval($template_sys_menu,$params);



}







if (!defined('THEME_HAS_NO_SUB_MENU_BUTTONS')) {







  // HTML template for template sub_menu spacer



  $template_sub_menu_spacer = $template_sys_menu_spacer;







  // HTML template for template sub_menu buttons



  $template_sub_menu_button= $template_sys_menu_button;







  // HTML template for template sub_menu buttons



    // {HREF_LNK}{HREF_TITLE}{HREF_TGT}{BLOCK_ID}{SPACER}



    addbutton($sub_menu_buttons,'{CUSTOM_LNK_LNK}','{CUSTOM_LNK_TITLE}','{CUSTOM_LNK_TGT}','custom_link',$template_sub_menu_spacer);



    addbutton($sub_menu_buttons,'{FAV_LNK}','{My Lightbox}','{FAV_TGT}','favpics',$template_sub_menu_spacer);



    addbutton($sub_menu_buttons,'{SEARCH_LNK}','{SEARCH_TITLE}','{SEARCH_TGT}','search','');



	// addbutton($sub_menu_buttons,'{ALB_LIST_LNK}','{ALB_LIST_TITLE}','{ALB_LIST_TGT}','album_list',$template_sub_menu_spacer);



   // addbutton($sub_menu_buttons,'{LASTUP_LNK}','{LASTUP_TITLE}','{LASTUP_TGT}','lastup',$template_sub_menu_spacer);



   // addbutton($sub_menu_buttons,'{LASTCOM_LNK}','{LASTCOM_TITLE}','{LASTCOM_TGT}','lastcom',$template_sub_menu_spacer);



   // addbutton($sub_menu_buttons,'{TOPN_LNK}','{TOPN_TITLE}','{TOPN_TGT}','topn',$template_sub_menu_spacer);



   // addbutton($sub_menu_buttons,'{TOPRATED_LNK}','{TOPRATED_TITLE}','{TOPRATED_TGT}','toprated',$template_sub_menu_spacer);



    







  $params = array('{BUTTONS}' => assemble_template_buttons($template_sub_menu_button,$sub_menu_buttons));



  $template_sub_menu = template_eval($template_sub_menu,$params);



}







function theme_main_menu($which)



{



    global $AUTHORIZED, $CONFIG, $album, $actual_cat, $cat, $REFERER;



    global $lang_main_menu, $template_sys_menu, $template_sub_menu;











    static $sys_menu = '', $sub_menu = '';



    if ($$which != '') {



        return $$which;



    }







    $album_l = isset($album) ? "?album=$album" : '';



    $cat_l = (isset($actual_cat))? "?cat=$actual_cat" : (isset($cat) ? "?cat=$cat" : '');



    $cat_l2 = isset($cat) ? "&amp;cat=$cat" : '';



    $my_gallery_id = FIRST_USER_CAT + USER_ID;















  if ($which == 'sys_menu' ) {



    if (USER_ID) {



        template_extract_block($template_sys_menu, 'login');



    } else {



        template_extract_block($template_sys_menu, 'logout');



        template_extract_block($template_sys_menu, 'my_profile');



    }







    if (!USER_IS_ADMIN) {



        template_extract_block($template_sys_menu, 'enter_admin_mode');



        template_extract_block($template_sys_menu, 'leave_admin_mode');



    } else {



        if (GALLERY_ADMIN_MODE) {



            template_extract_block($template_sys_menu, 'enter_admin_mode');



        } else {



            template_extract_block($template_sys_menu, 'leave_admin_mode');



        }



    }







    if (!USER_CAN_CREATE_ALBUMS) {



        template_extract_block($template_sys_menu, 'my_gallery');



    }







    if (USER_CAN_CREATE_ALBUMS) {



        template_extract_block($template_sys_menu, 'my_profile');



    }







    if (!USER_CAN_UPLOAD_PICTURES) {



        template_extract_block($template_sys_menu, 'upload_pic');



    }







    if (USER_ID || !$CONFIG['allow_user_registration']) {



        template_extract_block($template_sys_menu, 'register');



    }







    if (!USER_ID || !$CONFIG['allow_memberlist']) {



        template_extract_block($template_sys_menu, 'allow_memberlist');



    }







    if (!$CONFIG['display_faq']) {



        template_extract_block($template_sys_menu, 'faq');



    }







    $param = array(



        '{HOME_TGT}' => $CONFIG['home_target'],



        '{HOME_TITLE}' => $lang_main_menu['home_title'],



        '{HOME_LNK}' => $lang_main_menu['home_lnk'],



        '{MY_GAL_TGT}' => "index.php?cat=$my_gallery_id",



        '{MY_GAL_TITLE}' => $lang_main_menu['my_gal_title'],



        '{MY_GAL_LNK}' => $lang_main_menu['my_gal_lnk'],



        '{MEMBERLIST_TGT}' => "usermgr.php",



        '{MEMBERLIST_TITLE}' => $lang_main_menu['memberlist_title'],



        '{MEMBERLIST_LNK}' => $lang_main_menu['memberlist_lnk'],



        '{MY_PROF_TGT}' => "profile.php?op=edit_profile",



        '{MY_PROF_TITLE}' => $lang_main_menu['my_prof_title'],



        '{MY_PROF_LNK}' => $lang_main_menu['my_prof_lnk'],



        '{ADM_MODE_TGT}' => "mode.php?admin_mode=1&amp;referer=$REFERER",



        '{ADM_MODE_TITLE}' => $lang_main_menu['adm_mode_title'],



        '{ADM_MODE_LNK}' => $lang_main_menu['adm_mode_lnk'],



        '{USR_MODE_TGT}' => "mode.php?admin_mode=0&amp;referer=$REFERER",



        '{USR_MODE_TITLE}' => $lang_main_menu['usr_mode_title'],



        '{USR_MODE_LNK}' => $lang_main_menu['usr_mode_lnk'],



        '{UPL_PIC_TGT}' => "upload.php",



        '{UPL_PIC_TITLE}' => $lang_main_menu['upload_pic_title'],



        '{UPL_PIC_LNK}' => $lang_main_menu['upload_pic_lnk'],



        '{REGISTER_TGT}' => "register.php",



        '{REGISTER_TITLE}' => $lang_main_menu['register_title'],



        '{REGISTER_LNK}' => $lang_main_menu['register_lnk'],



        '{LOGIN_TGT}' => "login.php?referer=$REFERER",



        '{LOGIN_TITLE}' => $lang_main_menu['login_title'],



        '{LOGIN_LNK}' => $lang_main_menu['login_lnk'],



        '{LOGOUT_TGT}' => "logout.php?referer=$REFERER",



        '{LOGOUT_TITLE}' => $lang_main_menu['logout_title'],



        '{LOGOUT_LNK}' => $lang_main_menu['logout_lnk'] . " [" . USER_NAME . "]",



        '{FAQ_TGT}' => "faq.php",



        '{FAQ_TITLE}' => $lang_main_menu['faq_title'],



        '{FAQ_LNK}' => $lang_main_menu['faq_lnk'],



        );







        $sys_menu = template_eval($template_sys_menu, $param);



  } else {







    if (!$CONFIG['custom_lnk_url']) {



        template_extract_block($template_sub_menu, 'custom_link');



    }







    $param = array(



        '{ALB_LIST_TGT}' => "index.php$cat_l",



        '{ALB_LIST_TITLE}' => $lang_main_menu['alb_list_title'],



        '{ALB_LIST_LNK}' => $lang_main_menu['alb_list_lnk'],



        '{CUSTOM_LNK_TGT}' => $CONFIG['custom_lnk_url'],



        '{CUSTOM_LNK_TITLE}' => $CONFIG['custom_lnk_name'],



        '{CUSTOM_LNK_LNK}' => $CONFIG['custom_lnk_name'],



        '{LASTUP_TGT}' => "thumbnails.php?album=lastup$cat_l2",



        '{LASTUP_TITLE}' => $lang_main_menu['lastup_title'],



        '{LASTUP_LNK}' => $lang_main_menu['lastup_lnk'],



        '{LASTCOM_TGT}' => "thumbnails.php?album=lastcom$cat_l2",



        '{LASTCOM_TITLE}' => $lang_main_menu['lastcom_title'],



        '{LASTCOM_LNK}' => $lang_main_menu['lastcom_lnk'],



        '{TOPN_TGT}' => "thumbnails.php?album=topn$cat_l2",



        '{TOPN_TITLE}' => $lang_main_menu['topn_title'],



        '{TOPN_LNK}' => $lang_main_menu['topn_lnk'],



        '{TOPRATED_TGT}' => "thumbnails.php?album=toprated$cat_l2",



        '{TOPRATED_TITLE}' => $lang_main_menu['toprated_title'],



        '{TOPRATED_LNK}' => $lang_main_menu['toprated_lnk'],



        '{FAV_TGT}' => "thumbnails.php?album=favpics",



        '{FAV_TITLE}' => $lang_main_menu['fav_title'],



        '{FAV_LNK}' => $lang_main_menu['fav_lnk'],



        '{SEARCH_TGT}' => "search.php",



        '{SEARCH_TITLE}' => $lang_main_menu['search_title'],



        '{SEARCH_LNK}' => $lang_main_menu['search_lnk'],



        );



    $sub_menu = template_eval($template_sub_menu, $param);



  }







    return $$which;



}







// HTML template for the category list



$template_cat_list = <<<EOT



<!-- BEGIN header -->



        <tr>



               <!-- <td class="tableh1" width="80%" align="left"><b>{CATEGORY}</b></td> -->



               <!-- <td class="tableh1" width="10%" align="center"><b>{ALBUMS}</b></td> -->



               <!-- <td class="tableh1" width="10%" align="center"><b>{PICTURES}</b></td> -->



        </tr>



<!-- END header -->



<!-- BEGIN catrow_noalb -->



        <tr>



                <td class="catrow_noalb" colspan="3"><table border="0"><tr><td align="left">{CAT_THUMB}</td><td align="left"><span class="catlink"><b>{CAT_TITLE}</b></span>{CAT_DESC}</td></tr></table></td>



        </tr>



<!-- END catrow_noalb -->



<!-- BEGIN catrow -->



        <tr>



                <td class="catrow" align="left"><table border="0"><tr><td>{CAT_THUMB}</td><td><span class="catlink"><b>{CAT_TITLE}</b></span>{CAT_DESC}</td></tr></table></td>



            <!--   <td class="catrow" align="center">{ALB_COUNT}</td>



                <td class="catrow" align="center">{PIC_COUNT}</td> -->



        </tr>



        <tr>



            <td class="tableb" colspan="3">{CAT_ALBUMS}</td>



        </tr>



<!-- END catrow -->



<!-- BEGIN footer -->



        <!--<tr>



              <td colspan="3" class="tableh1" align="center"><span class="statlink"><b>{STATISTICS}</b></span></td> 



        </tr> > -->



<!-- END footer -->



<!-- BEGIN spacer -->



        <img src="images/spacer.gif" width="1" height="7" border="" alt="" /><br />



<!-- END spacer -->







EOT;







// HTML template for the breadcrumb



$template_breadcrumb = <<<EOT



// HTML template for the breadcrumb



$template_breadcrumb = <<<EOT



<!-- BEGIN breadcrumb -->



        <tr>



                <td colspan="4" align="left" class="tableh1"><span class="statlink"><b>{BREADCRUMB}</b></span></td>



        <td align="right" valign="middle" class="tableh1">



          <form method="get" action="http://www.skolaiimages.com/stock/thumbnails.php" name="searchcpg" style="margin:0px;padding:0px">



            <input type="hidden" name="album" value="search" />



            <input type="hidden" name="type" value="full" />



            <input type="text" style="height:95%; border:2px #808080 outset; width: 140px" name="search" maxlength="255" value="" class="textinput" />



            <input style="height:95%; width:95px; border:2px #0c0c0c0 inset; font:12px Verdana,Arial; color:#000000; background:#FFFFFF" type="submit" value="Quick Search" />



          </form>



          <script language="javascript" type="text/javascript">



		  </script>



        </td>



       </tr>



<!-- END breadcrumb -->



<!-- BEGIN breadcrumb_user_gal -->



        <tr>



                <td colspan="3" class="tableh1">



                <table width="100%" cellpadding="0" cellspacing="0" border="0">



                <tr>



                        <td align="left"><span class="statlink"><b>{BREADCRUMB}</b></span></td>



                       <td align="right"><span class="statlink"><b>{STATISTICS}</b></span></td>



                </tr>



                </table>



                </td>



        </tr>



<!-- END breadcrumb_user_gal -->















// HTML template for the category list



$template_cat_list = <<<EOT



<!-- BEGIN header -->



<!-- END header -->



<!-- BEGIN catrow_noalb -->



        <tr>



                <td class="catrow_noalb" colspan="3"><table border="0"><tr><td align="left">{CAT_THUMB}</td><td align="left"><span class="catlink"><b>{CAT_TITLE}</b></span>{CAT_DESC}</td></tr></table></td>



        </tr>



<!-- END catrow_noalb -->



<!-- BEGIN catrow -->



        <tr>



                <td class="catrow" align="left"><table border="0"><tr><td>{CAT_THUMB}</td><td><span class="catlink"><b>{CAT_TITLE}</b></span>{CAT_DESC}</td></tr></table></td>



        </tr>



        <tr>



            <td class="tableb" colspan="3">{CAT_ALBUMS}</td>



        </tr>



<!-- END catrow -->



<!-- BEGIN footer -->



<!-- END footer -->



<!-- BEGIN spacer -->



        <img src="images/spacer.gif" width="1" height="7" border="" alt="" /><br />



<!-- END spacer -->







EOT;







// HTML template for the album list



$template_album_list = <<<EOT







<!-- BEGIN stat_row -->



        <tr>



                <td colspan="{COLUMNS}" class="tableh1" align="center"><span class="statlink"><b>{STATISTICS}</b></span></td>



        </tr>



<!-- END stat_row -->



<!-- BEGIN header -->



        <tr>



<!-- END header -->



<!-- BEGIN album_cell -->



        <td width="{COL_WIDTH}%" valign="top">



        <table width="100%" cellspacing="0" cellpadding="0">



        <tr>



                <td colspan="3" height="1" align="center" valign="top" class="tableh2">



                        <span class="alblink"><a href="{ALB_LINK_TGT}"><b>{ALBUM_TITLE}</b></a></span>



                </td>



        </tr>



        <tr>



                <td colspan="3">



                        <img src="images/spacer.gif" width="1" height="1" border="0" alt="" /><br />



                </td>



        </tr>



        <tr>



                <td align="center" valign="middle" class="thumbnails">



                        <img src="images/spacer.gif" width="{THUMB_CELL_WIDTH}" height="1" class="image" style="margin-top: 0px; margin-bottom: 0px; border: none;" alt="" /><br />



                        <a href="{ALB_LINK_TGT}" class="albums">{ALB_LINK_PIC}<br /></a>



                <div align="left" class="tableb_compact">



                        {ADMIN_MENU}



                        <p>{ALB_DESC}</p>



                       <!-- <p class="album_stat">{ALB_INFOS}</p> --> </div>



                </td>



        </tr>



        </table>



        </td>



<!-- END album_cell -->



<!-- BEGIN empty_cell -->



        <td width="{COL_WIDTH}%" valign="top">



        <table width="100%" cellspacing="0" cellpadding="0">



        <tr>



                <td height="1" valign="top" class="tableh2">



                        <b>&nbsp;</b>



                </td>



        </tr>



        <tr>



                <td>



                        <img src="images/spacer.gif" width="1" height="1" border="0" alt="" /><br />



                </td>



        </tr>



        <tr>



                <td width="100%" valign="top" class="tableb_compact">



                    <div class="thumbnails" style="background-color:transparent"><img src="images/spacer.gif" width="1" height="{SPACER}" border="0" class="image" style="border:0;margin-top:1px;margin-bottom:0" alt="" /></div>



                </td>



        </tr>



        </table>



        </td>



<!-- END empty_cell -->



<!-- BEGIN row_separator -->



        </tr>



        <tr>



<!-- END row_separator -->



<!-- BEGIN footer -->



        </tr>



<!-- END footer -->



<!-- BEGIN tabs -->



        <tr>



                <td colspan="{COLUMNS}" style="padding: 0px;">



                        <table width="100%" cellspacing="0" cellpadding="0">



                                <tr>



                               <!--        {TABS}  -->



                                </tr>



                        </table>



                </td>



        </tr>



<!-- END tabs -->



<!-- BEGIN spacer -->



        <img src="images/spacer.gif" width="1" height="7" border="" alt="" /><br />



<!-- END spacer -->







EOT;







// HTML template for the album list



$template_album_list_cat = <<<EOT







<!-- BEGIN c_stat_row -->



        <tr>



                <td colspan="{COLUMNS}" class="tableh1" align="center"><span class="statlink"><b>{STATISTICS}</b></span></td>



        </tr>



<!-- END c_stat_row -->



<!-- BEGIN c_header -->



        <tr>



<!-- END c_header -->



<!-- BEGIN c_album_cell -->



        <td width="{COL_WIDTH}%" valign="top">



        <table width="100%" cellspacing="0" cellpadding="0">



        <tr>



                <td colspan="3" height="1" valign="top" class="tableh2">



                        <span class="alblink"><a href="{ALB_LINK_TGT}"><b>{ALBUM_TITLE}</b></a></span>



                </td>



        </tr>



        <tr>



                <td colspan="3">



                        <img src="images/spacer.gif" width="1" height="1" border="0" alt="" /><br />



                </td>



        </tr>



        <tr>



                <td align="center" valign="middle" class="thumbnails">



                        <img src="images/spacer.gif" width="{THUMB_CELL_WIDTH}" height="1" class="image" style="margin-top: 0px; margin-bottom: 0px; border: none;" alt="" /><br />



                        <a href="{ALB_LINK_TGT}" class="albums">{ALB_LINK_PIC}<br /></a>



                </td>



                <td>



                        <img src="images/spacer.gif" width="1" height="1" border="0" alt="" />



                </td>



               <td width="100%" valign="top" class="tableb_compact">



                         {ADMIN_MENU}



                       <!-- <p>{ALB_DESC}</p> -->



                </td>



        </tr>



        </table>



        </td>



<!-- END c_album_cell -->



<!-- BEGIN c_empty_cell -->



        <td width="{COL_WIDTH}%" valign="top">



        <table width="100%" cellspacing="0" cellpadding="0" >



        <tr>



                <td height="1" valign="top" class="tableh2">



                        <b>&nbsp;</b>



                </td>



        </tr>



        <tr>



                <td>



                        <img src="images/spacer.gif" width="1" height="1" border="0" alt="" /><br />



                </td>



        </tr>



        <tr>



                <td width="100%" valign="top" class="tableb_compact" >



                      <div class="thumbnails" style="background-color:transparent"><img src="images/spacer.gif" width="1" height="{SPACER}" border="0" class="image" style="border:0;margin-top:1px;margin-bottom:0" alt="" /></div>



                </td>



        </tr>



        </table>



        </td>



<!-- END c_empty_cell -->



<!-- BEGIN c_row_separator -->



        </tr>



        <tr>



<!-- END c_row_separator -->



<!-- BEGIN c_footer -->



        </tr>



<!-- END c_footer -->



<!-- BEGIN c_tabs -->



        <tr>



                <td colspan="{COLUMNS}" style="padding: 0px;">



                        <table width="100%" cellspacing="0" cellpadding="0">



                                <tr>



                                </tr>



                        </table>



                </td>



        </tr>



<!-- END c_tabs -->



<!-- BEGIN c_spacer -->



        <img src="images/spacer.gif" width="1" height="7" border="" alt="" /><br />



<!-- END c_spacer -->







EOT;







// HTML template for title row of the thumbnail view (album title + sort options)







$album_desc = get_album_desc($_GET[album]);







$template_thumb_view_title_row = <<<EOT







                        <table width="100%" cellpadding="0" cellspacing="0">



                        <tr>



                                <td width="100%" class="statlink"><h2>{ALBUM_NAME}<span class="albdesc"> - $album_desc</span></h2></td>



                                <td></td>



                                <td>



                                        <table cellpadding="0" cellspacing="0">



                                        <tr>



                                        </tr>



                                        </table>



                                </td>



                        </tr>



                        </table>



EOT;











// HTML template for thumbnails display



$template_thumbnail_view = <<<EOT







<!-- BEGIN header -->



        <tr>



<!-- END header -->



<!-- BEGIN thumb_cell -->



        <td valign="top" class="thumbnails" width ="{CELL_WIDTH}" align="center">



                <table width="100%" cellpadding="0" cellspacing="0">



                        <tr>



                                <td align="center">



                                       <a href="{LINK_TGT}">{THUMB}<br /></a> 

										<a href="{LINK_TGT}">{FILENAME}<br /></a>

												{CAPTION}

												{ADMIN_MENU} 



                                </td>



                        </tr>



                </table>



        </td>



<!-- END thumb_cell -->



<!-- BEGIN empty_cell -->



                <td valign="top" class="thumbnails" align="center">&nbsp;</td>



<!-- END empty_cell -->



<!-- BEGIN row_separator -->



        </tr>



        <tr>



<!-- END row_separator -->



<!-- BEGIN footer -->



        </tr>



<!-- END footer -->



<!-- BEGIN tabs -->



        <tr>



                <td colspan="{THUMB_COLS}" style="padding: 0px;">



                        <table width="100%" cellspacing="0" cellpadding="0">



                                <tr>



                                       {TABS}



                                </tr>



                        </table>



                </td>



        </tr>



<!-- END tabs -->



<!-- BEGIN spacer -->



        <img src="images/spacer.gif" width="1" height="7" border="" alt="" /><br />



<!-- END spacer -->







EOT;





// HTML template for the image navigation bar



$template_img_navbar = <<<EOT







        <tr>



                <td align="center" valign="middle" class="navmenu" width="75px"><a name="top_display_media"></a>



                        <a href="{THUMB_TGT}" class="navmenu_pic" title="{THUMB_TITLE}"><img src="{LOCATION}images/thumbnails.gif" align="middle" border="0px" alt="{THUMB_TITLE}" /></a>



                </td>



              <!-- <td align="center" valign="middle" class="navmenu" width="48px">



                     <a href="javascript:;" class="navmenu_pic" onclick="blocking('picinfo','yes', 'block'); return false;" title="{PIC_INFO_TITLE}"><img src="{LOCATION}images/info.gif" border="0px" align="middle" alt="{PIC_INFO_TITLE}" /></a>



                </td>



                <td align="center" valign="middle" class="navmenu" width="48px">



                        <a href="{SLIDESHOW_TGT}" class="navmenu_pic" title="{SLIDESHOW_TITLE}"><img src="{LOCATION}images/slideshow.gif"  border="0px" align="middle" alt="{SLIDESHOW_TITLE}" /></a>



                </td> -->



				 <td align="center" valign="middle" class="navmenu" width="125">



                        {FAVORITE}



                </td>



                <td align="center" valign="middle" class="navmenu" width="100%">



                        {PIC_POS}



                </td>



<!-- BEGIN report_file_button -->







<!-- END report_file_button -->



<!-- BEGIN ecard_button -->



                <td align="center" valign="middle" class="navmenu" width="48px">



                        <a href="{ECARD_TGT}" class="navmenu_pic" title="{ECARD_TITLE}"><img src="{LOCATION}images/ecard.gif"  border="0px" align="middle" alt="{ECARD_TITLE}" /></a>



                </td>



<!-- END ecard_button -->



                <td align="center" valign="middle" class="navmenu" width="48px">



                        <a href="{PREV_TGT}" class="navmenu_pic" title="{PREV_TITLE}"><img src="{LOCATION}images/prev.gif"  border="0px" align="middle" alt="{PREV_TITLE}" /></a>



                </td>



                <td align="center" valign="middle" class="navmenu" width="48px">



                        <a href="{NEXT_TGT}" class="navmenu_pic" title="{NEXT_TITLE}"><img src="{LOCATION}images/next.gif"  border="0px" align="middle" alt="{NEXT_TITLE}" /></a>



                </td>



        </tr>







EOT;







// HTML template for intermediate image display



$template_display_media = <<<EOT



        <tr>



                <td align="left" class="display_media">



                        <table cellspacing="2px" cellpadding="0px" class="imageborder">



                                <tr>



                                        <td width="164" rowspan="2" align="left" valign="bottom" scope="col">					



												<table width="154" border="1" align="left" cellpadding="5" cellspacing="5" bordercolor="#D2D2D2" bgcolor="#010101">



             		 								<tr background="#191919">



                											<td height="25" align="center" valign="middle"><div align="center"><span class="Orders"><a href="#" onclick="MM_openBrWindow('../printprices.html','printprices','scrollbars=yes,resizable=yes,width=550,height=550')">Print Prices</a></span></div></td>



              										</tr>



             		 								<tr background="#191919">



                											<td height="25" align="center" valign="middle"><div align="center"><span class="Orders"><a href="../contact/printorders.html" target="_blank">Print Orders</a></span></div></td>



              										</tr>



             				 						<tr background="#191919">



                											<td height="25" align="center" valign="middle"><div align="center"><span class="Orders"><a href="../contact/stockorders.html" target="_blank">Stock Licensing</a></span></div></td>



              										</tr>



             									</table><br />



          										<table width="100%" align="left" border="0" cellpadding="5" cellspacing="5">



              										<tr align="center" valign="middle">



                										<td><div align="center"><img src="../images/visa_small.gif" alt="visa, mastercard and American Express accepted" width="107" height="20" /></div></td>



              										</tr>



            									</table>



										</td>



										<td width="100%" align="center"><div>



                                                <font size="2"><b>{TITLE}</b></font><br />

													{IMAGE}



												<font face="Verdana" size="2" color="#CC0000"><u>Image Order #</u>   -   {FILENAME}</font></div>



												 </td>



                                </tr>



                        </table>



                </td></tr>



                <tr><td>



                                                <table width="100%" cellspacing="2px" cellpadding="0px" class="tableb">



                                <tr>



                                        <td align="center">







                                                {ADMIN_MENU}



                                        </td>



                                </tr>



                        </table>







<!-- BEGIN img_desc -->



                        <table cellpadding="0px" cellspacing="0px" class="tableb" width="100%">



<!-- BEGIN title -->



                               <!-- <tr>



                                        <td class="tableb"><center><b>



                                                {TITLE}



                                        </b></center></td>



                                </tr> -->



<!-- END title -->



<!-- BEGIN caption -->



                                <tr>



                                        <td class="tableb"><center>



                                                {CAPTION}

												<br />

												<br />

												<br />

												<font face="Verdana" size="1" color="#FDFDF7"><i>Copyright Carl Donohue - All Rights Reserved. Do not copy, download or hotlink this photo without permission.</i></font>



                                        </center></td>



                                </tr>



<!-- END caption -->



                        		

								

						</table>



<!-- END img_desc -->



                </td>



        </tr>







EOT;



function theme_html_picture()



{



    global $CONFIG, $CURRENT_PIC_DATA, $CURRENT_ALBUM_DATA, $USER;



    global $album, $comment_date_fmt, $template_display_media;



    global $lang_display_image_php, $lang_picinfo;







    $pid = $CURRENT_PIC_DATA['pid'];



    $pic_title = '';







    if (!isset($USER['liv']) || !is_array($USER['liv'])) {



        $USER['liv'] = array();



    }



    // Add 1 to hit counter



    if (!USER_IS_ADMIN && !in_array($pid, $USER['liv']) && isset($_COOKIE[$CONFIG['cookie_name'] . '_data'])) {



        add_hit($pid);



        if (count($USER['liv']) > 4) array_shift($USER['liv']);



        array_push($USER['liv'], $pid);



    }







    if($CONFIG['thumb_use']=='ht' && $CURRENT_PIC_DATA['pheight'] > $CONFIG['picture_width'] ){ // The wierd comparision is because only picture_width is stored



      $condition = true;



    }elseif($CONFIG['thumb_use']=='wd' && $CURRENT_PIC_DATA['pwidth'] > $CONFIG['picture_width']){



      $condition = true;



    }elseif($CONFIG['thumb_use']=='any' && max($CURRENT_PIC_DATA['pwidth'], $CURRENT_PIC_DATA['pheight']) > $CONFIG['picture_width']){



      $condition = true;



    }else{



     $condition = false;



    }







    if ($CURRENT_PIC_DATA['title'] != '') {



        $pic_title .= $CURRENT_PIC_DATA['title'] . "\n";



    }



    if ($CURRENT_PIC_DATA['caption'] != '') {



        $pic_title .= $CURRENT_PIC_DATA['caption'] . "\n";



    }



    if ($CURRENT_PIC_DATA['keywords'] != '') {



        $pic_title .= $lang_picinfo['Keywords'] . ": " . $CURRENT_PIC_DATA['keywords'];



    }







    if (!$CURRENT_PIC_DATA['title'] && !$CURRENT_PIC_DATA['caption']) {



        template_extract_block($template_display_media, 'img_desc');



    } else {



        if (!$CURRENT_PIC_DATA['title']) {



            template_extract_block($template_display_media, 'title');



        }



        if (!$CURRENT_PIC_DATA['caption']) {



            template_extract_block($template_display_media, 'caption');



        }



    }







    $CURRENT_PIC_DATA['menu'] = html_picture_menu(); //((USER_ADMIN_MODE && $CURRENT_ALBUM_DATA['category'] == FIRST_USER_CAT + USER_ID) || ($CONFIG['users_can_edit_pics'] && $CURRENT_PIC_DATA['owner_id'] == USER_ID && USER_ID != 0) || GALLERY_ADMIN_MODE) ? html_picture_menu($pid) : '';







    if ($CONFIG['make_intermediate'] && $condition ) {



        $picture_url = get_pic_url($CURRENT_PIC_DATA, 'normal');



    } else {



        $picture_url = get_pic_url($CURRENT_PIC_DATA, 'fullsize');



    }







    $image_size = compute_img_size($CURRENT_PIC_DATA['pwidth'], $CURRENT_PIC_DATA['pheight'], $CONFIG['picture_width']);







    $pic_title = '';



    $mime_content = cpg_get_type($CURRENT_PIC_DATA['filename']);











    if ($mime_content['content']=='movie' || $mime_content['content']=='audio') {







        if ($CURRENT_PIC_DATA['pwidth']==0 || $CURRENT_PIC_DATA['pheight']==0) {



            $CURRENT_PIC_DATA['pwidth']  = 320; // Default width







            // Set default height; if file is a movie



            if ($mime_content['content']=='movie') {



                $CURRENT_PIC_DATA['pheight'] = 240; // Default height



            }



        }







        $ctrl_offset['mov']=15;



        $ctrl_offset['wmv']=45;



        $ctrl_offset['swf']=0;



        $ctrl_offset['rm']=0;



        $ctrl_offset_default=45;



        $ctrl_height = (isset($ctrl_offset[$mime_content['extension']]))?($ctrl_offset[$mime_content['extension']]):$ctrl_offset_default;



        $image_size['whole']='width="'.$CURRENT_PIC_DATA['pwidth'].'" height="'.($CURRENT_PIC_DATA['pheight']+$ctrl_height).'"';



    }







    if ($mime_content['content']=='image') {



        if (isset($image_size['reduced'])) {



            $winsizeX = $CURRENT_PIC_DATA['pwidth']+5;  //the +'s are the mysterious FF and IE paddings



            $winsizeY = $CURRENT_PIC_DATA['pheight']+3; //the +'s are the mysterious FF and IE paddings



            $pic_html = "<a href=\"javascript:;\" onclick=\"MM_openBrWindow('displayimage.php?pid=$pid&amp;fullsize=1','" . uniqid(rand()) . "','scrollbars=yes,toolbar=no,status=no,resizable=yes,width=$winsizeX,height=$winsizeY')\">";



            $pic_title = $lang_display_image_php['view_fs'] . "\n==============\n" . $pic_title;



            $pic_html .= "<img src=\"" . $picture_url . "\" class=\"image\" border=\"0\" alt=\"{$lang_display_image_php['view_fs']}\" /><br />";



            $pic_html .= "</a>\n";



        } else {



            $pic_html = "<img src=\"" . $picture_url . "\" {$image_size['geom']} class=\"image\" border=\"0\" alt=\"{$CURRENT_PIC_DATA['title']}\" /><br />\n";



        }



    } elseif ($mime_content['content']=='document') {



        $pic_thumb_url = get_pic_url($CURRENT_PIC_DATA,'thumb');



        $pic_html = "<a href=\"{$picture_url}\" target=\"_blank\" class=\"document_link\"><img src=\"".$pic_thumb_url."\" border=\"0\" class=\"image\" /></a>\n<br />";



    } else {



        $autostart = ($CONFIG['media_autostart']) ? ('true'):('false');







        $players['WMP'] = array('id' => 'MediaPlayer',



                                'clsid' => 'classid="" ',



                                'codebase' => 'codebase="http://activex.microsoft.com/activex/controls/mplayer/en/nsmp2inf.cab#Version=5,1,52,701" ',



                                'mime' => 'type="application/x-mplayer2" ',



                               );



        $players['RMP'] = array('id' => 'RealPlayer',



                                'clsid' => 'classid="clsid:CFCDAA03-8BE4-11cf-B84B-0020AFBBCCFA" ',



                                'codebase' => '',



                                'mime' => 'type="audio/x-pn-realaudio-plugin" '



                               );



        $players['QT']  = array('id' => 'QuickTime',



                                'clsid' => 'classid="clsid:02BF25D5-8C17-4B23-BC80-D3488ABDDC6B" ',



                                'codebase' => 'codebase="http://www.apple.com/qtactivex/qtplugin.cab" ',



                                'mime' => 'type="video/x-quicktime" '



                               );



        $players['SWF'] = array('id' => 'SWFlash',



                                'clsid' => ' classid="clsid:D27CDB6E-AE6D-11cf-96B8-444553540000" ',



                                'codebase' => 'codebase="http://download.macromedia.com/pub/shockwave/cabs/flash/swflash.cab#version=6,0,0,0" ',



                                'mime' => 'type="application/x-shockwave-flash" '



                               );



        $players['UNK'] = array('id' => 'DefaultPlayer',



                                'clsid' => '',



                                'codebase' => '',



                                'mime' => ''



                               );







        if (isset($_COOKIE[$CONFIG['cookie_name'].'_'.$mime_content['extension'].'player'])) {



            $user_player = $_COOKIE[$CONFIG['cookie_name'].'_'.$mime_content['extension'].'player'];



        } else {



            $user_player = $mime_content['player'];



        }







                // There isn't a player selected or user wants client-side control



        if (!$user_player) {



            $user_player = 'UNK';



        }







        $player = $players[$user_player];







        $pic_html  = '<object id="'.$player['id'].'" '.$player['clsid'].$player['codebase'].$player['mime'].$image_size['whole'].'>';



        $pic_html .= "<param name=\"autostart\" value=\"$autostart\" /><param name=\"src\" value=\"". $picture_url . "\" />";



        $pic_html .= '<embed '.$image_size['whole'].' src="'. $picture_url . '" autostart="'.$autostart.'" '.$player['mime'].'></embed>';



        $pic_html .= "</object><br />\n";



    }







    $CURRENT_PIC_DATA['html'] = $pic_html;



    $CURRENT_PIC_DATA['header'] = '';



    $CURRENT_PIC_DATA['footer'] = '';







    $CURRENT_PIC_DATA = CPGPluginAPI::filter('file_data',$CURRENT_PIC_DATA);







    $params = array('{CELL_HEIGHT}' => '100',



        '{IMAGE}' => $CURRENT_PIC_DATA['header'].$CURRENT_PIC_DATA['html'].$CURRENT_PIC_DATA['footer'],



        '{ADMIN_MENU}' => $CURRENT_PIC_DATA['menu'],



        '{TITLE}' => bb_decode($CURRENT_PIC_DATA['title']),



        '{CAPTION}' => bb_decode($CURRENT_PIC_DATA['caption']),



		'{FILENAME}' => $CURRENT_PIC_DATA['filename'],



        );







    return template_eval($template_display_media, $params);



}







function theme_html_img_nav_menu()



{



    global $CONFIG, $HTTP_SERVER_VARS, $HTTP_GET_VARS, $CURRENT_PIC_DATA, $PHP_SELF, $FAVPICS, $REFERER;



    global $album, $cat, $pos, $pic_count, $lang_img_nav_bar, $lang_picinfo, $lang_text_dir, $template_img_navbar;







    $cat_link = is_numeric($album) ? '' : '&amp;cat=' . $cat;







    $human_pos = $pos + 1;



    $page = ceil(($pos + 1) / ($CONFIG['thumbrows'] * $CONFIG['thumbcols']));



    $pid = $CURRENT_PIC_DATA['pid'];







    $start = 0;



        $start_tgt = "{$_SERVER['PHP_SELF']}?album=$album$cat_link&amp;pos=$start";



        $start_title = $lang_img_nav_bar['go_album_start'];



        $meta_nav .= "<link rel=\"start\" href=\"$start_tgt\" title=\"$start_title\" />



        ";



        $end = $pic_count - 1;



        $end_tgt = "{$_SERVER['PHP_SELF']}?album=$album$cat_link&amp;pos=$end";



        $end_title = $lang_img_nav_bar['go_album_end'];



        $meta_nav .= "<link rel=\"last\" href=\"$end_tgt\" title=\"$end_title\" />



        ";







    if ($pos > 0) {



        $prev = $pos - 1;



        $prev_tgt = "{$_SERVER['PHP_SELF']}?album=$album$cat_link&amp;pos=$prev";



        $prev_title = $lang_img_nav_bar['prev_title'];



                                $meta_nav .= "<link rel=\"prev\" href=\"$prev_tgt\" title=\"$prev_title\" />



                                ";



    } else {



        $prev_tgt = "javascript:;";



        $prev_title = "";



    }







    if ($pos < ($pic_count -1)) {



        $next = $pos + 1;



        $next_tgt = "{$_SERVER['PHP_SELF']}?album=$album$cat_link&amp;pos=$next";



        $next_title = $lang_img_nav_bar['next_title'];



                                $meta_nav .= "<link rel=\"next\" href=\"$next_tgt\" title=\"$next_title\"/>



                                ";



    } else {



        $next_tgt = "javascript:;";



        $next_title = "";



    }







    if (USER_CAN_SEND_ECARDS) {



        $ecard_tgt = "ecard.php?album=$album$cat_link&amp;pid=$pid&amp;pos=$pos";



        $ecard_title = $lang_img_nav_bar['ecard_title'];



    } else {



        template_extract_block($template_img_navbar, 'ecard_button'); // added to remove button if cannot send ecard



        /*$ecard_tgt = "javascript:alert('" . addslashes($lang_img_nav_bar['ecard_disabled_msg']) . "');";



        $ecard_title = $lang_img_nav_bar['ecard_disabled'];*/



    }



	



	$ref = $REFERER ? "&amp;ref=$REFERER" : '';



	if (!in_array($CURRENT_PIC_DATA['pid'], $FAVPICS)) {



        $favorite = '<a href=addfav.php?pid=' . $CURRENT_PIC_DATA['pid'] . $ref . ' ><img src="images/addlight.jpg" align="middle" border="0" alt="" title="'. $lang_picinfo['addFav'] . '" /></a>';



    } else {



        $favorite = '<a href=addfav.php?pid=' . $CURRENT_PIC_DATA['pid'] . $ref . ' ><img src="images/remlight.jpg" align="middle" border="0" alt="" title="'. $lang_picinfo['remFav'] . '" /></a>';



    }



	



                //report to moderator buttons



    if (($CONFIG['report_post']==1) && (USER_CAN_SEND_ECARDS)) {



        $report_tgt = "report_file.php?album=$album$cat_link&amp;pid=$pid&amp;pos=$pos";



    } else { // remove button if report toggle is off



        template_extract_block($template_img_navbar, 'report_file_button');







    }







                    $thumb_tgt = "thumbnails.php?album=$album$cat_link&amp;page=$page";



        $meta_nav .= "<link rel=\"up\" href=\"$thumb_tgt\" title=\"".$lang_img_nav_bar['thumb_title']."\"/>



        ";







    $slideshow_tgt = "{$_SERVER['PHP_SELF']}?album=$album$cat_link&amp;pid=$pid&amp;slideshow=".$CONFIG['slideshow_interval'];







    $pic_pos = sprintf($lang_img_nav_bar['pic_pos'], $human_pos, $pic_count);











    if (defined('THEME_HAS_NAVBAR_GRAPHICS')) {



            $location= $THEME_DIR;



        } else {



            $location= '';



        }







    $params = array('{THUMB_TGT}' => $thumb_tgt,



        '{THUMB_TITLE}' => $lang_img_nav_bar['thumb_title'],



		'{PIC_INFO_TITLE}' => $lang_img_nav_bar['pic_info_title'],



        '{SLIDESHOW_TGT}' => $slideshow_tgt,



        '{SLIDESHOW_TITLE}' => $lang_img_nav_bar['slideshow_title'],



		'{PIC_POS}' => $pic_pos,



        '{ECARD_TGT}' => $ecard_tgt,



        '{ECARD_TITLE}' => $ecard_title,



		'{FAVORITE}' => $favorite,



        '{PREV_TGT}' => $prev_tgt,



        '{PREV_TITLE}' => $prev_title,



        '{NEXT_TGT}' => $next_tgt,



        '{NEXT_TITLE}' => $next_title,



        '{PREV_IMAGE}' => ($lang_text_dir=='ltr') ? 'prev' : 'next',



        '{NEXT_IMAGE}' => ($lang_text_dir=='ltr') ? 'next' : 'prev',



        '{REPORT_TGT}' => $report_tgt,



        '{REPORT_TITLE}' => $lang_img_nav_bar['report_title'],



        '{LOCATION}' => $location,



        );







    return template_eval($template_img_navbar, $params);



}







$template_ecard = <<<EOT



<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">



<html dir="{LANG_DIR}">



<head>



<meta http-equiv="content-type" content="text/html; charset={CHARSET}" />



<title>{TITLE}</title>



</head>



<body bgcolor="#FFFFFF" text="#0F5475" link="#0F5475" vlink="#0F5475" alink="#0F5475">



<br />



<p align="center"><a href="{VIEW_ECARD_TGT}"><b>{VIEW_ECARD_LNK}</b></a></p>



<table border="0" cellspacing="0" cellpadding="1" align="center">



  <tr>



    <td bgcolor="#000000">



      <table border="0" cellspacing="0" cellpadding="10" bgcolor="#ffffff">



        <tr>



          <td valign="top">



           <a href="{VIEW_MORE_TGT}/displayimage.php?pos=-{PID}">



                                         <img src="{PIC_URL}" border="1" alt="" /></a>



                                         <br />



                                         <div align="center">



                                                 <h2>{PIC_TITLE}</h2><br />



												<font face="Arial" size="4" color="#CC0000"><u>Image order #:</u>   -   {FILENAME}</font>



                                         </div>







          </td>



          <td valign="top" width="300">



            <div align="right"><img src="{URL_PREFIX}images/stamp.gif" border="0" alt="" /></div>



            <br />



            <b><font face="arial" color="#000000" size="4">{GREETINGS}</font></b>



            <br />



            <br />



            <font face="arial" color="#000000" size="3">{MESSAGE}</font>



            <br />



            <br />



            <font face="arial" color="#000000" size="3">{SENDER_NAME}</font>



			<br />



            (<a href="mailto:{SENDER_EMAIL}"><font face="arial" color="#000000" size="2">{SENDER_EMAIL}</font></a>)



          </td>



        </tr>



                <tr>



                        <td colspan="2">



                                <font face="verdana" color="#000000" size="2">{PIC_CAPTION}<br />



								<p> This photograph has been sent to you from <a href="http://www.skolaiimaes.com">www.skolaiimages.com.</a> The image can be found on <a href="{VIEW_MORE_TGT}/displayimage.php?pos=-{PID}"{pic_url}>this page.</a></p></font>



								<p> &nbsp; </p>



								<p><font face="verdana" color="#000000" size="1"><em>This image is copyright protected. Any unauthorised reproduction of the image is illegal. Please do not reproduce or redistribute this image without the express permission of Carl Donohue and Skolai Images. Thank you.</em></font></p>



                        </td>



                </tr>



      </table>



    </td>



  </tr>



</table>



<p align="center"><a href="{VIEW_MORE_TGT}"><b>{VIEW_MORE_LNK}</b></a></p>



</body>



</html>



EOT;



// Function for writing a pageheader

function pageheader($section, $meta = '')

{

    global $CONFIG, $THEME_DIR;

    global $template_header, $lang_charset, $lang_text_dir;



    $custom_header = cpg_get_custom_include($CONFIG['custom_header_path']);



        $charset = ($CONFIG['charset'] == 'language file') ? $lang_charset : $CONFIG['charset'];



    header('P3P: CP="CAO DSP COR CURa ADMa DEVa OUR IND PHY ONL UNI COM NAV INT DEM PRE"');

        header("Content-Type: text/html; charset=$charset");

    user_save_profile();



$album_desc = get_album_desc($_GET[album]);

$category_desc = get_category_desc($_GET[cat]);

$category_name = get_category_name($_GET[cat]);



    if (strip_tags(bb_decode($section)) == 'Home') {

        $title =   strip_tags(bb_decode($section)) . ' - ' . $CONFIG['gallery_name'] . ' - ' . $CONFIG['gallery_description'];

        $metadescrip = $CONFIG['gallery_name'] . ' - ' . $CONFIG['gallery_description'];

    } else {

        $title =   $CONFIG['gallery_name'] . ' - ' . strip_tags(bb_decode($section));

	$metadescrip = strip_tags(bb_decode($section)) . ' - ' . $category_desc . ' - ' . $album_desc. ' - ' . $category_desc;

    }



    $template_vars = array('{LANG_DIR}' => $lang_text_dir,

        '{TITLE}' => $title,

        '{CHARSET}' => $charset,

        '{META}' => $meta,

        '{METADESC}' => $metadescrip,

        '{GAL_NAME}' => $CONFIG['gallery_name'],

        '{GAL_DESCRIPTION}' => $CONFIG['gallery_description'],

        '{SYS_MENU}' => theme_main_menu('sys_menu'),

        '{SUB_MENU}' => theme_main_menu('sub_menu'),

        '{ADMIN_MENU}' => theme_admin_mode_menu(),

        '{CUSTOM_HEADER}' => $custom_header,

        );



    echo template_eval($template_header, $template_vars);

}



// Get the name of an album



// Get the name of an album

function get_album_desc($aid)

{

    global $CONFIG;

    global $lang_errors;

    $result = cpg_db_query("SELECT description from {$CONFIG['TABLE_ALBUMS']} WHERE aid='$aid'");

    $count = mysql_num_rows($result);

    if ($count > 0) {

        $row = mysql_fetch_array($result);

        return $row['description'];

    } else {

        return " ";

    } 

}



// Get the name of an Category

function get_category_desc($cid)

{

    global $CONFIG;

    global $lang_errors;

    $result = cpg_db_query("SELECT description from {$CONFIG['TABLE_CATEGORIES']} WHERE cid='$cid'");

    $count = mysql_num_rows($result);

    if ($count > 0) {

        $row = mysql_fetch_array($result);

        return $row['description'];

    } else {

        return " ";

    } 

}



function get_category_name($cid)

{

    global $CONFIG;

    global $lang_errors;

    $result = cpg_db_query("SELECT name from {$CONFIG['TABLE_CATEGORIES']} WHERE cid='$cid'");

    $count = mysql_num_rows($result);

    if ($count > 0) {

        $row = mysql_fetch_array($result);

        return $row['name'];

    } else {

        return " ";

    } 

}



?>







